All pages
Powered by GitBook
1 of 8

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

List documents

Lists all documents based on filter criteria.

Create document

Create a new document.

Publish document

Publish a document.

delete document

Remove a document.

Program Document

The Program Document object allows you to upload program documentation using an online link or file upload to the Program object.

This object contains the following attributes:

Field
Type
Description

id

string

Update document

Update document.

Get document

Get a document by ID.

(Read-only) The business identifier of the document object.

name

string

The name of the document object.

description

string

The description of the document object.

type

string

The type of the document object.

url

string

The URI to access the document object.

language

string

The document's language.

status

string

Represents the status of the document object.

program

object

Represents the to which the document belongs.

audit

object

Represents the object.

THE PROGRAM DOCUMENT OBJECT
ย {
ย  ย  "id": "PDM-1234-5678-0001",ย  ย  
ย  ย  "name": "Guide to establishing a reseller relationship",
ย  ย  "description": "Learn what happens when you establish a reseller relationship with SoftwareOne",
ย  ย  "type": "File",
ย  ย  "url": "https://address.to.media.file.pl/abcde.docx",
ย  ย  "language": "pl-pl",
ย  ย  "state": "Draft",
ย  ย  "program": {
      "id": "PRG-1234-5678",    
      "name": "Microsoft AI Cloud Partner",
      "icon": "/static/PRG-1234-1234/logo.png"
     },
ย  ย  "audit": {
     "created": { "at": "...", "by": { } },
     "updated": { "at": "...", "by": { } }
   }
ย  }

Example

program
audit

Unpublish document

Unpublish a document.

get
Path parameters
programIdstringRequired
Responses
200

OK

application/json
offsetinteger ยท int32Optional
limitinteger ยท int32Optional
totalinteger ยท int32 ยท nullableOptional
omittedstring[]Optional
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
createdall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
updatedall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
typestringOptional
descriptionstringOptional
statusstring ยท enumOptionalPossible values:
filenamestring ยท nullableOptional
sizeinteger ยท int32 ยท nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
statusstring ยท enumOptionalPossible values:
applicableTostring ยท enumOptionalPossible values:
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring ยท nullableOptional
longDescriptionstring ยท nullableOptional
operationsstring ยท nullableOptional
defaultErpItemstring ยท nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring ยท nullableOptional
typestring ยท enumRequiredPossible values:
statusstring ยท enumRequiredPossible values:
namestring ยท min: 1 ยท max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring ยท nullableOptional
labelstring ยท nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring ยท nullableOptional
enabledbooleanOptional
modestring ยท enum ยท nullableOptionalPossible values:
itemCountinteger ยท int32Optional
ordersPlacedCountinteger ยท int32Optional
agreementCountinteger ยท int32Optional
subscriptionCountinteger ยท int32Optional
requestCountinteger ยท int32Optional
get/public/v1/program/programs/{programId}/documents
GET /public/v1/program/programs/{programId}/documents HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "id": "text",
      "audit": {
        "created": {},
        "updated": {}
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "name": "text",
      "type": "text",
      "description": "text",
      "status": "text",
      "filename": "text",
      "size": 1,
      "contentType": "text",
      "url": "text",
      "language": "text",
      "program": {
        "id": "text",
        "name": "text",
        "status": "text",
        "applicableTo": "text",
        "products": [
          "[Circular Reference]"
        ]
      }
    }
  ]
}
post
Path parameters
programIdstringRequired
Body
NamestringOptional
DescriptionstringOptional
LanguagestringOptional
DocumentTypestring ยท enumOptionalPossible values:
UrlstringOptional
DisplayOrderinteger ยท int32Optional
filestring ยท binaryOptional
Responses
201

Created

application/json
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
createdall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
updatedall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
typestringOptional
descriptionstringOptional
statusstring ยท enumOptionalPossible values:
filenamestring ยท nullableOptional
sizeinteger ยท int32 ยท nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
statusstring ยท enumOptionalPossible values:
applicableTostring ยท enumOptionalPossible values:
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring ยท nullableOptional
longDescriptionstring ยท nullableOptional
operationsstring ยท nullableOptional
defaultErpItemstring ยท nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring ยท nullableOptional
typestring ยท enumRequiredPossible values:
statusstring ยท enumRequiredPossible values:
namestring ยท min: 1 ยท max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring ยท nullableOptional
labelstring ยท nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring ยท nullableOptional
enabledbooleanOptional
modestring ยท enum ยท nullableOptionalPossible values:
itemCountinteger ยท int32Optional
ordersPlacedCountinteger ยท int32Optional
agreementCountinteger ยท int32Optional
subscriptionCountinteger ยท int32Optional
requestCountinteger ยท int32Optional
400

Bad Request

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
post/public/v1/program/programs/{programId}/documents
POST /public/v1/program/programs/{programId}/documents HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 137

{
  "document": {
    "Name": "text",
    "Description": "text",
    "Language": "text",
    "DocumentType": "Online",
    "Url": "text",
    "DisplayOrder": 1
  },
  "file": "binary"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "url": "text",
  "language": "text",
  "program": {
    "id": "text",
    "name": "text",
    "status": "text",
    "applicableTo": "text",
    "products": [
      {
        "id": "text",
        "audit": {},
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "icon": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "icon": "text",
          "type": "text",
          "status": "text",
          "name": "text"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true,
            "productRequest": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          }
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "requestCount": 1
        }
      }
    ]
  }
}
post
Path parameters
programIdstringRequired
idstringRequired
Responses
200

OK

application/json
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
createdall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
updatedall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
typestringOptional
descriptionstringOptional
statusstring ยท enumOptionalPossible values:
filenamestring ยท nullableOptional
sizeinteger ยท int32 ยท nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
statusstring ยท enumOptionalPossible values:
applicableTostring ยท enumOptionalPossible values:
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring ยท nullableOptional
longDescriptionstring ยท nullableOptional
operationsstring ยท nullableOptional
defaultErpItemstring ยท nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring ยท nullableOptional
typestring ยท enumRequiredPossible values:
statusstring ยท enumRequiredPossible values:
namestring ยท min: 1 ยท max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring ยท nullableOptional
labelstring ยท nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring ยท nullableOptional
enabledbooleanOptional
modestring ยท enum ยท nullableOptionalPossible values:
itemCountinteger ยท int32Optional
ordersPlacedCountinteger ยท int32Optional
agreementCountinteger ยท int32Optional
subscriptionCountinteger ยท int32Optional
requestCountinteger ยท int32Optional
400

Bad Request

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
post/public/v1/program/programs/{programId}/documents/{id}/publish
POST /public/v1/program/programs/{programId}/documents/{id}/publish HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "url": "text",
  "language": "text",
  "program": {
    "id": "text",
    "name": "text",
    "status": "text",
    "applicableTo": "text",
    "products": [
      {
        "id": "text",
        "audit": {},
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "icon": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "icon": "text",
          "type": "text",
          "status": "text",
          "name": "text"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true,
            "productRequest": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          }
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "requestCount": 1
        }
      }
    ]
  }
}
delete
Path parameters
programIdstringRequired
idstringRequired
Responses
204

No Content

No content

403

Forbidden

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

delete/public/v1/program/programs/{programId}/documents/{id}
DELETE /public/v1/program/programs/{programId}/documents/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*

No content

put
Path parameters
programIdstringRequired
idstringRequired
Body
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
createdall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
updatedall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
typestringOptional
descriptionstringOptional
statusstring ยท enumOptionalPossible values:
filenamestring ยท nullableOptional
sizeinteger ยท int32 ยท nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
statusstring ยท enumOptionalPossible values:
applicableTostring ยท enumOptionalPossible values:
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring ยท nullableOptional
longDescriptionstring ยท nullableOptional
operationsstring ยท nullableOptional
defaultErpItemstring ยท nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring ยท nullableOptional
typestring ยท enumRequiredPossible values:
statusstring ยท enumRequiredPossible values:
namestring ยท min: 1 ยท max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring ยท nullableOptional
labelstring ยท nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring ยท nullableOptional
enabledbooleanOptional
modestring ยท enum ยท nullableOptionalPossible values:
itemCountinteger ยท int32Optional
ordersPlacedCountinteger ยท int32Optional
agreementCountinteger ยท int32Optional
subscriptionCountinteger ยท int32Optional
requestCountinteger ยท int32Optional
Responses
204

No Content

No content

403

Forbidden

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
500

Internal Server Error

No content

put/public/v1/program/programs/{programId}/documents/{id}
PUT /public/v1/program/programs/{programId}/documents/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 1220

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "language": "text",
  "program": {
    "id": "text",
    "name": "text",
    "status": "text",
    "applicableTo": "text",
    "products": [
      {
        "id": "text",
        "audit": {},
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "icon": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "icon": "text",
          "type": "text",
          "status": "text",
          "name": "text"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true,
            "productRequest": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          }
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "requestCount": 1
        }
      }
    ]
  }
}

No content

get
Path parameters
programIdstringRequired
idstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
createdall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
updatedall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
typestringOptional
descriptionstringOptional
statusstring ยท enumOptionalPossible values:
filenamestring ยท nullableOptional
sizeinteger ยท int32 ยท nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
statusstring ยท enumOptionalPossible values:
applicableTostring ยท enumOptionalPossible values:
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring ยท nullableOptional
longDescriptionstring ยท nullableOptional
operationsstring ยท nullableOptional
defaultErpItemstring ยท nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring ยท nullableOptional
typestring ยท enumRequiredPossible values:
statusstring ยท enumRequiredPossible values:
namestring ยท min: 1 ยท max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring ยท nullableOptional
labelstring ยท nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring ยท nullableOptional
enabledbooleanOptional
modestring ยท enum ยท nullableOptionalPossible values:
itemCountinteger ยท int32Optional
ordersPlacedCountinteger ยท int32Optional
agreementCountinteger ยท int32Optional
subscriptionCountinteger ยท int32Optional
requestCountinteger ยท int32Optional
301

Moved Permanently

No content

400

Bad Request

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
get/public/v1/program/programs/{programId}/documents/{id}
GET /public/v1/program/programs/{programId}/documents/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "url": "text",
  "language": "text",
  "program": {
    "id": "text",
    "name": "text",
    "status": "text",
    "applicableTo": "text",
    "products": [
      {
        "id": "text",
        "audit": {},
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "icon": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "icon": "text",
          "type": "text",
          "status": "text",
          "name": "text"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true,
            "productRequest": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          }
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "requestCount": 1
        }
      }
    ]
  }
}
post
Path parameters
programIdstringRequired
idstringRequired
Responses
200

OK

application/json
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
createdall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
updatedall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
typestringOptional
descriptionstringOptional
statusstring ยท enumOptionalPossible values:
filenamestring ยท nullableOptional
sizeinteger ยท int32 ยท nullableOptional
contentTypestringOptional
urlstringRead-onlyOptional
languagestringOptional
idstringOptional
namestringOptional
statusstring ยท enumOptionalPossible values:
applicableTostring ยท enumOptionalPossible values:
idstringOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
atstring ยท date-time ยท nullableOptional
idstringOptional
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
atstring ยท date-time ยท nullableOptional
byall ofOptional
โคทCircular reference to all of
omittedstring[]Optional
namestringOptional
iconstring ยท nullableOptional
omittedstring[]Optional
namestringOptional
shortDescriptionstring ยท nullableOptional
longDescriptionstring ยท nullableOptional
operationsstring ยท nullableOptional
defaultErpItemstring ยท nullableOptional
websitestringOptional
iconstringOptional
statusstringOptional
idstringOptional
iconstring ยท nullableOptional
typestring ยท enumRequiredPossible values:
statusstring ยท enumRequiredPossible values:
namestring ยท min: 1 ยท max: 500Required
productOrderingbooleanOptional
enabledbooleanOptional
namestring ยท nullableOptional
labelstring ยท nullableOptional
itemSelectionbooleanOptional
orderQueueChangesbooleanOptional
purchaseOrderDraftbooleanOptional
purchaseOrderQueryingbooleanOptional
changeOrderDraftbooleanOptional
configurationOrderDraftbooleanOptional
terminationOrderbooleanOptional
productRequestbooleanOptional
enabledbooleanOptional
typestring ยท nullableOptional
enabledbooleanOptional
modestring ยท enum ยท nullableOptionalPossible values:
itemCountinteger ยท int32Optional
ordersPlacedCountinteger ยท int32Optional
agreementCountinteger ยท int32Optional
subscriptionCountinteger ยท int32Optional
requestCountinteger ยท int32Optional
400

Bad Request

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
403

Forbidden

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
404

Not Found

application/json
typestring ยท nullableOptional
titlestring ยท nullableOptional
statusinteger ยท int32 ยท nullableOptional
detailstring ยท nullableOptional
instancestring ยท nullableOptional
Other propertiesanyOptional
post/public/v1/program/programs/{programId}/documents/{id}/unpublish
POST /public/v1/program/programs/{programId}/documents/{id}/unpublish HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "type": "text",
  "description": "text",
  "status": "text",
  "filename": "text",
  "size": 1,
  "contentType": "text",
  "url": "text",
  "language": "text",
  "program": {
    "id": "text",
    "name": "text",
    "status": "text",
    "applicableTo": "text",
    "products": [
      {
        "id": "text",
        "audit": {},
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "shortDescription": "text",
        "longDescription": "text",
        "externalIds": {
          "operations": "text",
          "defaultErpItem": "text"
        },
        "website": "text",
        "icon": "text",
        "status": "text",
        "vendor": {
          "id": "text",
          "icon": "text",
          "type": "text",
          "status": "text",
          "name": "text"
        },
        "settings": {
          "productOrdering": true,
          "productRequests": {
            "enabled": true,
            "name": "text",
            "label": "text"
          },
          "itemSelection": true,
          "orderQueueChanges": true,
          "preValidation": {
            "purchaseOrderDraft": true,
            "purchaseOrderQuerying": true,
            "changeOrderDraft": true,
            "configurationOrderDraft": true,
            "terminationOrder": true,
            "productRequest": true
          },
          "splitBilling": {
            "enabled": true,
            "type": "text"
          },
          "subscriptionCessation": {
            "enabled": true,
            "mode": "Termination"
          }
        },
        "statistics": {
          "itemCount": 1,
          "ordersPlacedCount": 1,
          "agreementCount": 1,
          "subscriptionCount": 1,
          "requestCount": 1
        }
      }
    ]
  }
}